* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
ul {
  list-style: none;
}
a {
  color: inherit;
  text-decoration: none;
}
img {
  max-width: 100%;
  vertical-align: bottom;
  border: none;
}

header, main, footer, nav, section {
  display: block;
}

:root {
  --color-header: #fff;
  --color-footer: #f3f6f8;
  --color-lead-text: #d9f1fa;
  --color-title: #ffffcd;
  --color-title-shadow: #ffffda;
  --color-text: #fff;
  --color-btn: #00239c;
  --color-place: #ff85e9;
  --color-start: #ff6bc3;
  --color-end: #ac9bff;
  --color-start2: #1256d8;
  --color-end2: #00abff;
  --color-end2-2: #66aaff;
  --shadow-title: 0 0 3.75px 0 rgba(255, 255, 218, 0.2), 0 0 20px rgba(255, 255, 218, 0.2);
  --font-title: "fot-udkakugoc70-pro", sans-serif;
}
html, body {
  overflow-x: hidden;
}

body {
  font-family: "Noto Sans JP", sans-serif;
  font-optical-sizing: auto;
  font-feature-settings: "palt";
  background: linear-gradient(180deg, #000 0%, #000 40vw, #000256 70vw, #000256 min(1500px, 90vw), #050819 100%);
}
a {
  transition: opacity 0.3s;
}
a:hover {
  opacity: 0.8;
}
.tab-sp,
.sp-only {
  display: none;
}

.sp-bar {
  display: none;
}

.page-title {
  position: relative;
  max-width: 1920px;
  margin: 0 auto 100px;
  padding-top: 4.5vw;
  text-align: center;
  background: url("../img/bg-mv.png") no-repeat center center / cover;
  aspect-ratio: 4 / 3;
}

.page-title img {
  width: clamp(300px, 42vw, 734px);
  object-fit: contain;
}

@media (max-width: 767.999px) {
  body {
    background: linear-gradient(180deg, #000 0%, #000 40vw, #000256 70vw, #000256 170vw, #050819 100%);
  }

  .sp-bar {
    display: flex;
    align-items: center;
    width: 100%;
    height: 58px;
    padding-left: 29px;
    background: var(--color-header);
  }

  .page-title img {
    width: 100%;
  }
}

.date {
  position: relative;
  z-index: 10;
  width: fit-content;
  margin: max(-180px, -13vw) auto 0;
  text-align: center;
}

.main-contents {
  max-width: 900px;
  margin: 0 auto;
}
.lead-text {
  width: 780px;
  max-width: calc(100% - 40px);
  margin: 0 auto 100px;
  padding: 70px 0 50px;
  color: var(--color-text);
  text-align: center;
  font-size: clamp(1rem, 3vw, 1.5rem); /* 16px ~ 24px */
  font-weight: bold;
  line-height: 2.9;
  letter-spacing: 2.3px;
  text-shadow: 0 0 10px var(--color-text), 0 0 20px rgba(0, 2, 86, 0.2);
}
.main-inner {
  max-width: 100%;
  color: var(--color-text);
}
.main-inner .section-title {
  position: relative;
  margin-bottom: 45px;
  padding-inline: 10px;
  color: var(--color-title);
  font-family: var(--font-title);
  font-size: clamp(1.75rem, 6.5vw, 3.25rem);
  text-align: center;
  letter-spacing: 20px;
  text-shadow: 0 0 10px var(--color-text), 0 0 20px rgba(0, 2, 86, 0.2);
}
.main-inner .section-title::before {
  content: "";
  position: absolute;
  inset: -20px 0 auto 0;
  display: block;
  width: 650px;
  height: 7px;
  margin: auto;
  background: linear-gradient(90deg, #b28eff 0%, #ff82d6 100%);
  border-radius: 10px;
  transform: rotate(-4deg);
  filter: blur(1.2px);
  box-shadow:
    0 0 10px rgba(241, 241, 177, 0.8),
    0 0 20px rgba(0, 2, 86, 0.2)
  ;
}
.main-inner .section-title::after {
  content: "";
  position: absolute;
  inset: auto 0 -20px 0;
  display: block;
  width: 650px;
  height: 7px;
  margin: auto;
  background: linear-gradient(90deg, #b28eff 0%, #ff82d6 100%);
  border-radius: 10px;
  transform: rotate(-4deg);
  filter: blur(1.2px);
  box-shadow:
    0 0 10px rgba(241, 241, 177, 0.8),
    0 0 20px rgba(0, 2, 86, 0.2)
  ;
}
.main-inner .section-title + p {
  margin-bottom: 50px;
  padding: 50px 10px 0;
  color: var(--color-title);
  font-size: clamp(0.875rem, 3.2vw, 1.5rem); /* 14px ~ 24px */
  font-weight: 700;
  text-align: center;
  line-height: 2;
  letter-spacing: 2.3px;
  text-shadow: 0 0 10.75px var(--color-title-shadow), 0 0 20.75px rgba(0, 2, 86, 0.2);
  opacity: 0.9;
}

.visual-img {
  display: block;
  margin-bottom: 45px;
  border-radius: 13.5px;
  overflow: hidden;
}
.event-date {
  font-size: clamp(1.75rem, 5.4vw, 3.25rem); /* 28px ~ 52px */
  font-weight: 700;
  text-align: center;
  line-height: 1.5;
  letter-spacing: 2.3px;
}
.event-date span {
  display: inline-block;
  font-size: clamp(0.875rem, 3.5vw, 1.625rem); /* 14px ~ 26px */

}
.event-date .small {
  font-size: clamp(1.25rem, 2vw, 2rem); /* 20px ~ 32px */
}
.event-time {
  width: fit-content;
  margin: 0 auto 100px;
  font-size: clamp(1.75rem, 5.4vw, 3.25rem); /* 28px ~ 52px */
  font-weight: 700;
}
.event-time .time {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 10px;
}
.event-time .time-text {
  font-size: clamp(1rem, 3.7vw, 1.75rem); /* 16px ~ 28px */
}
.event-time .time-part {
  display: inline-block;
  margin-inline: 10px;
  padding: 0 10px;
  color: #000256;
  font-size: clamp(0.875rem, 3.5vw, 1.625rem); /* 14px ~ 26px */
  line-height: 2.55rem; /* 40.8px */
  border-radius: 10px;
  background: #fff;
}
.event-time .mark,
.time-title .mark {
  font-size: clamp(0.625rem, 1.5vw, 1.25rem); /* 10px ~ 20px */
  font-weight: 700;
}

.time-title {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  width: 100%;
  height: 72px;
  margin: 0 auto 45px;
  font-size: clamp(1.375rem, 5.4vw, 2.625rem); /* 22px ~ 42px */
  font-weight: 700;
  border-radius: 100px;
  background: linear-gradient(90deg, var(--color-start) 0%, var(--color-end) 100%);
  box-shadow: 0 0 10px rgba(255, 255, 218, 0.1), 0 0 15px rgba(255, 255, 218, 0.5);
}
.time-title .time-part {
  display: flex;
  align-items: center;
  margin-inline: 10px;
  font-size: clamp(0.875rem, 3.4vw, 1.625rem); /* 14px ~ 26px */
  line-height: 2.55rem; /* 40.8px */
}
.time-title img {
  display: inline-block;
  margin-left: 15px;
}

.vietnamese-day {
  margin-bottom: 200px;
}
.vietnamese-day .place {
  display: flex;
  align-items: center;
  gap: 20px;
  width: 623px;
  margin: 0 auto 20px;
  font-size: clamp(0.875rem, 3.4vw, 1.625rem); /* 14px ~ 26px */
  font-weight: 700;
  text-align: center;
  line-height: 2.55rem; /* 40.8px */
  letter-spacing: 5px;
}
.vietnamese-day .place span {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100px;
  padding: 0 10px;
  font-size: clamp(0.875rem, 3.4vw, 1.625rem); /* 14px ~ 26px */
  line-height: 2.55rem; /* 40.8px */
  border-radius: 10px;
  background: var(--color-place);
  box-shadow: 0 0 10px rgba(255, 255, 218, 0.1), 0 0 15px rgba(255, 255, 218, 0.5);
}

.vietnamese-day .event-title {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 647px;
  margin: 0 auto 45px;
  padding-block: 50px;
  color: var(--color-title);
  font-size: clamp(1.875rem, 5.4vw, 3.5rem); /* 30px ~ 56px */
  font-family: var(--font-title);
  font-weight: 600;
  line-height: 1.5;
  text-align: center;
  letter-spacing: 15px;
  background:
    url("../img/bg-tl.png") no-repeat top left / 84px,
    url("../img/bg-br.png") no-repeat bottom right / 84px;
  text-shadow: 0 0 10.75px var(--color-title-shadow), 0 0 20.75px rgba(0, 2, 86, 0.2);
}
.vietnamese-day .event-title span {
  font-size: clamp(1.125rem, 2.1vw, 2.125rem); /* 18px ~ 34px */
}
.vietnamese-day .event-title .adjust {
  letter-spacing: 10px;
}
.vietnamese-day .flex-box {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  width: 100%;
  margin: 0 auto 45px;
}
.vietnamese-day .flex-box {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  width: 100%;
  margin: 0 auto 90px;
}
.vietnamese-day .flex-box .text {
  width: calc(50% - 30px);
  font-size: clamp(0.75rem, 1.6vw, 1.125rem); /* 12px ~ 18px */
  font-weight: 700;
  line-height: 2.375rem; /* 38px */
  letter-spacing: 5px;
}
.vietnamese-day .text .btn {
  display: block;
  width: 285px;
  height: 58px;
  margin: 20px auto 0;
  padding: 10px 20px;
  color: var(--color-btn);
  font-size: clamp(0.875rem, 2.35vw, 1.75rem); /* 14px ~ 34px */
  font-family: var(--font-title);
  font-weight: 700;
  text-align: center;
  border-radius: 100px;
  background: var(--color-title);
  box-shadow: 0 0 10.75px var(--color-title-shadow), 0 0 20.75px rgba(0, 2, 86, 0.2);
}
.vietnamese-day .text .btn:hover {
  opacity: 0.8;
}
.vietnamese-day .text .detail {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
  margin-block: 40px 10px;
  font-size: clamp(0.625rem, 1.6vw, 1.125rem); /* 10px ~ 18px */
}
.vietnamese-day .text .detail > span {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 49px;
  aspect-ratio: 1 / 1;
  color: var(--color-btn);
  font-size: clamp(0.625rem, 1.6vw, 1.125rem); /* 10px ~ 18px */
  letter-spacing: 0;
  border-radius: 100px;
  background: var(--color-title);
  box-shadow: 0 0 10.75px var(--color-title-shadow), 0 0 20.75px rgba(0, 2, 86, 0.2);
}
.vietnamese-day .text .detail div p:first-child {
  display: flex;
  /* flex-wrap: wrap; */
  align-items: center;
  font-size: clamp(1.375rem, 5.4vw, 2.625rem); /* 22px ~ 42px */
  font-weight: 600;
  line-height: 2.375rem; /* 38px */
}
.vietnamese-day .text .detail div p:first-child .mark{
  font-size: clamp(0.625rem, 1.5vw, 1.125rem); /* 10px ~ 18px */
  font-weight: 700;
}
.vietnamese-day .text .detail + p,
.vietnamese-day .text .note {
  padding-left: 1.2em;
  font-size: clamp(0.75rem, 1.6vw, 1.125rem); /* 12px ~ 18px */
  line-height: 1.33;
  text-indent: -1.2em;
}
.vietnamese-day .text .detail.time + p {
  color: var(--color-title);
}
.vietnamese-day .text .detail.price div {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  letter-spacing: 0;
}
.vietnamese-day .text .detail.price div p:first-child .mark {
  font-size: clamp(1.25rem, 2.8vw, 1.875rem); /* 20px ~ 30px */

}
.vietnamese-day .text .detail.price div p:first-child {
  margin-right: 0.5em;
}
.vietnamese-day .flex-box picture {
  width: 50%;
  border-radius: 9px;
  overflow: hidden;
}

.up-late-night .section-title {
  letter-spacing: 10px;
}
.main-inner .up-late-night .section-title::before {
  background: linear-gradient(90deg, var(--color-start2) 0%, var(--color-end2) 100%);
  box-shadow:
    0 0 10px rgba(241, 241, 177, 0.8),
    0 0 20px rgba(0, 2, 86, 0.2)
  ;
}
.main-inner .up-late-night .section-title::after {
  background: linear-gradient(90deg, var(--color-start2) 0%, var(--color-end2) 100%);
  box-shadow:
    0 0 10px rgba(241, 241, 177, 0.8),
    0 0 20px rgba(0, 2, 86, 0.2)
  ;
}
.up-late-night .time-title {
  font-weight: 400;
  letter-spacing: 15px;
  background: linear-gradient(90deg, var(--color-start2) 0%, var(--color-end2-2) 100%);
}
.up-late-night .kitchin-car-box {
  display: block;
  margin-bottom: 70px;
}
.up-late-night .event-title {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100%;
  margin: 0 auto 60px;
  color: var(--color-title);
  font-size: clamp(1.875rem, 5.4vw, 3.5rem); /* 30px ~ 56px */
  font-family: var(--font-title);
  font-weight: 600;
  line-height: 1.5;
  text-align: center;
  letter-spacing: 15px;
  text-shadow: 0 0 10.75px var(--color-title-shadow), 0 0 20.75px rgba(0, 2, 86, 0.2);
}
.up-late-night .event-title::before {
  content: "";
  position: absolute;
  inset: auto 0 -15px 0;
  display: block;
  width: 100%;
  height: 7px;
  margin: auto;
  background: linear-gradient(90deg, var(--color-start2) 0%, var(--color-end2-2) 100%);
  border-radius: 10px;
  filter: blur(1.2px);
  box-shadow:
    0 0 10px rgba(241, 241, 177, 0.8),
    0 0 20px rgba(0, 2, 86, 0.2)
  ;
}
.up-late-night .event-title::after {
  content: "";
  position: absolute;
  inset: -15px 0 auto 0;
  display: block;
  width: 100%;
  height: 7px;
  margin: auto;
  background: linear-gradient(90deg, var(--color-start2) 0%, var(--color-end2-2) 100%);
  border-radius: 10px;
  filter: blur(1.2px);
  box-shadow:
    0 0 10px rgba(241, 241, 177, 0.8),
    0 0 20px rgba(0, 2, 86, 0.2)
  ;
}
.up-late-night .flex-box {
  display: flex;
  justify-content: space-between;
  gap: 40px;
  width: 100%;
  margin: 0 auto 90px;
}
.up-late-night .flex-box picture {
  width: 464px;
}
.up-late-night .flex-box .text {
  width: 396px;
}
.up-late-night .flex-box.dj picture {
  width: 310px;
}
.up-late-night .flex-box.dj .text {
  width: 550px;
}
.up-late-night .flex-box .event-date {
  font-size: clamp(1.75rem, 5.4vw, 3.25rem); /* 28px ~ 52px */
  font-weight: 700;
  text-align: left;
  line-height: 1.5;
  letter-spacing: 2.3px;
}
.up-late-night .flex-box p:not(.event-date) {
  font-size: clamp(0.75rem, 1.6vw, 1.125rem); /* 12px ~ 18px */
}
.up-late-night .flex-box .event-date + .note {
  margin-bottom: 20px;
}
.up-late-night .flex-box p:not(.event-date, .note) {
  line-height: 2.1;
}


@media (min-width: 768px) {
  footer {
    display: none;
  }
}


@media (max-width: 910px) {
  .main-contents {
    max-width: calc(100% - 20px);
  }
}


@media (max-width: 767.999px) {
  .pc-only {
    display: none;
  }
  .sp-only {
    display: block;
  }

  body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
  }

  .page-title {
    margin-bottom: 15px;
  }
  .lead-text {
    margin-bottom: 50px;
    padding: 60px 0 50px;
    line-height: 2.1;
  }
  .lead-text span {
    display: inline-block;
  }
  .main-contents {
  }
  .main-inner .section-title {
    margin-bottom: 35px;
    padding-inline: 30px;
    letter-spacing: 10px;
  }
  .main-inner .section-title img {
    left: 4px;
    width: max(78%, 350px);
    max-width: calc(100% + 2.5vw);
  }
  .main-inner .section-title::before {
    width: calc(100% - 40px);
    height: 4px;
    inset: -15px 0 auto 0;
  }
  .main-inner .section-title::after {
    width: calc(100% - 40px);
    height: 4px;
    inset: auto 0 -10px 0;
  }
  .main-inner .section-title + p {
    margin-bottom: 30px;
    padding-top: 0;
    line-height: 1.8;
  }
  .event-date .small.dot {
    margin-inline: 5px;
  }
  .event-time .time-part {
    margin: 0;
    padding: 0 3px;
    border-radius: 2px;
    line-height: 1.5;
  }
  .visual-img {
    margin: 0 auto;
  }
  .vietnamese-day .visual-img {
    margin-bottom: 15px;
  }
  .event-time {
    margin-bottom: 50px;
  }
  .time-title {
    height: 50px;
    gap: 10px;
    margin-bottom: 20px;
  }
  .time-title img {
    width: 23px;
  }
  .vietnamese-day .event-title {
    width: 100%;
    margin: 0 auto 30px;
    padding-block: 30px;
    letter-spacing: 1.5vw;
    background: url("../img/bg-tl.png") no-repeat top left / 45px,
    url("../img/bg-br.png") no-repeat bottom right / 45px;
  }
  .vietnamese-day .event-title .adjust {
    letter-spacing: 5px;
  }
  .vietnamese-day .flex-box {
    gap: 16px;
  }
  .vietnamese-day .flex-box picture,
  .up-late-night .flex-box picture {
    width: 57%;
  }
  .vietnamese-day .flex-box:has(+ .sp-only) {
    margin-bottom: 10px;
  }
  .vietnamese-day .text .detail {
    margin-top: 20px;
  }
  .vietnamese-day .text .detail.time {
    margin-top: 0;
  }
  .vietnamese-day .text.sp-only {
    margin-bottom: 90px;
  }
  .vietnamese-day .place {
    width: 100%;
    gap: 10px;
    line-height: 1.2;
    letter-spacing: 2.5px;
  }
  .vietnamese-day .place span {
    width: auto;
    min-width: 4em;
    padding: 0 7px;
    line-height: 1.8;
    border-radius: 5px;
  }
  .vietnamese-day .flex-box .text,
  .up-late-night .flex-box .text {
    width: calc(43% - 20px);
    line-height: 1.8;
    letter-spacing: 2.5px;
  }
  .vietnamese-day .text .detail > span {
    width: 26px;
    margin-block: 8px auto;
  }
  /* .vietnamese-day .text .detail > div {
    width: calc(100% - 26px);
  } */
  .vietnamese-day .text .btn {
    width: auto;
    max-width: 200px;
    height: auto;
    margin: 20px 0 0;
    padding: 0;
    letter-spacing: 0.2vw;
  }

  .main-inner .up-late-night .section-title {
    letter-spacing: 5px;
  }
  .up-late-night .event-title {
    width: 160px;
    letter-spacing: 10px;
  }
  .up-late-night .event-title::before,
  .up-late-night .event-title::after {
    height: 4px;
  }
  .up-late-night .flex-box {
    gap: 15px;
  }
  .up-late-night .flex-box p:not(.event-date, .note) {
    line-height: 1.8;
  }
  .up-late-night .flex-box:has(+ .dj) {
    margin-bottom: 20px;
  }
  .up-late-night .flex-box.dj {
    margin-bottom: 50px;
  }
  .up-late-night .flex-box.dj picture {
    width: 45%;
  }
  .up-late-night .flex-box.dj .text {
    width: calc(55% - 20px);
  }

  footer {
    position: relative;
    height: 175px;
    padding: 33px 0 0 40px;
    background: var(--color-footer);
  }
  footer img {
    width: 195px;
  }
  footer p {
    padding-top: 20px;
    font-size: 0.75rem; /* 12px */
    line-height: 1.8;
  }
}

@media (max-width: 440px) {
  .vietnamese-day .event-title {
    letter-spacing: 2.5vw;
  }
  .vietnamese-day .place span {
    min-width: 3em;
    padding: 0;
  }
}


@media (max-width: 400px) {
  .lead-text {
  }
}
